<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage lifestyle-blogger
 * @since lifestyle-blogger 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function lifestyle_blogger_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Lifestyle_Blogger_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Lifestyle Blogger Pro', 'lifestyle-blogger' ),
		'button_text'      => __( 'Upgrade Pro', 'lifestyle-blogger' ),
		'url'              => 'https://www.wpradiant.net/products/lifestyle-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'lifestyle_blogger_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function lifestyle_blogger_custom_control_scripts() {
	wp_enqueue_script( 'lifestyle-blogger-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'lifestyle-blogger-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'lifestyle_blogger_custom_control_scripts' );